/*	Copyright (C) 2003-2010 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#include "plugin/plugin.pmh"
#include "platform/dlCore.cc"

#include "xInterface.h"

class MyComponent2 : public MyComponent2I
{
	public:
virtual			~MyComponent2(void)											{}
virtual	int		test(int i)			{ return i*i*i; }
};

extern "C"
{

FE_DL_EXPORT fe::Library *CreateLibrary(fe::sp<fe::Master>)
{
	fe::Library *pLibrary = new fe::Library();
	pLibrary->add<MyComponent2>("MyComponent2I.MyComponent2.test");
	return pLibrary;
}

}
